﻿var chart_irObj, chart_Hum, chart_Tmp, chart_Indct_ch0, chart_Induct_ch1;
var chartData_irObj = [];
var chartData_Hum = [];
var chartData_Tmp = [];
var chartData_Opt = [];
var chartData_Indct_ch0 = [];
var chartData_Indct_ch1 = [];

AmCharts.ready(function () {

        // ---------------------------------------------------------
        // irTemperature - object Temp
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_irObj               = new AmCharts.AmSerialChart();
        chart_irObj.path          = "../amcharts/";
        chart_irObj.dataProvider  = chartData_irObj;
        chart_irObj.categoryField = "date";
        chart_irObj.colors        =  ["#ff590b", "#1500ff", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_irObj        = chart_irObj.categoryAxis;
        categoryAxis_irObj.parseDates = true;
        categoryAxis_irObj.minPeriod  = "ss";
        categoryAxis_irObj.axisColor  = "#DADADA";
        // value
        var valueAxis_irObj           = new AmCharts.ValueAxis();
        valueAxis_irObj.axisColor     = "#DADADA";
        valueAxis_irObj.unit          = " C";
        valueAxis_irObj.dashLength    = 1;
        chart_irObj.addValueAxis(valueAxis_irObj);

        // CURSOR
        var chartCursor_irObj            = new AmCharts.ChartCursor();
        chartCursor_irObj.cursorPosition = "mouse";
        chart_irObj.addChartCursor(chartCursor_irObj);

        // LEGEND
        var legend_irObj              = new AmCharts.AmLegend();
        legend_irObj.useGraphSettings = true;
        chart_irObj.addLegend(legend_irObj);

        // POSITION
        chart_irObj.creditsPosition = "bottom-right";

        // GRAPH
        var graph_irObj        = new AmCharts.AmGraph();
        graph_irObj.id         = 0;
        graph_irObj.type       = "smoothedLine";
        graph_irObj.bullet     = "round";
        graph_irObj.title      = "Object temperature";
        graph_irObj.valueField = 0;
        chart_irObj.addGraph(graph_irObj);

        // WRITE
        chart_irObj.write("container_tmp007");

        // ---------------------------------------------------------
        // Humidity(HDC1000)
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_Hum               = new AmCharts.AmSerialChart();
        chart_Hum.path          = "../amcharts/";
        chart_Hum.dataProvider  = chartData_Hum;
        chart_Hum.categoryField = "date";
        chart_Hum.colors        = ["#1500ff", "#ff0066", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_Hum        = chart_Hum.categoryAxis;
        categoryAxis_Hum.parseDates = true;
        categoryAxis_Hum.minPeriod  = "ss";
        categoryAxis_Hum.axisColor  = "#DADADA";
        // value
        var valueAxis_Hum           = new AmCharts.ValueAxis();
        valueAxis_Hum.axisColor     = "#DADADA";
        valueAxis_Hum.unit          = " %";
        valueAxis_Hum.dashLength    = 1;
        chart_Hum.addValueAxis(valueAxis_Hum);

        // CURSOR
        var chartCursor_Hum            = new AmCharts.ChartCursor();
        chartCursor_Hum.cursorPosition = "mouse";
        chart_Hum.addChartCursor(chartCursor_Hum);

        // LEGEND
        var legend_Hum              = new AmCharts.AmLegend();
        legend_Hum.useGraphSettings = true;
        chart_Hum.addLegend(legend_Hum);

        // POSITION
        chart_Hum.creditsPosition = "bottom-right";

        // GRAPH^M
        var graph_Hum        = new AmCharts.AmGraph();
        graph_Hum.id         = 0;
        graph_Hum.type       = "smoothedLine";
        graph_Hum.bullet     = "round";
        graph_Hum.title      = "humidity";
        graph_Hum.valueField = 0;
        chart_Hum.addGraph(graph_Hum);

        // WRITE
        chart_Hum.write("container_hdc1000_hum");


        // ---------------------------------------------------------
        // Temperature(HDC1000)
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_Tmp               = new AmCharts.AmSerialChart();
        chart_Tmp.path          = "../amcharts/";
        chart_Tmp.dataProvider  = chartData_Tmp;
        chart_Tmp.categoryField = "date";
        chart_Tmp.colors        = ["#ff0066", "#15ff06", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_Tmp        = chart_Tmp.categoryAxis;
        categoryAxis_Tmp.parseDates = true;
        categoryAxis_Tmp.minPeriod  = "ss";
        categoryAxis_Tmp.axisColor  = "#DADADA";
        // value
        var valueAxis_Tmp           = new AmCharts.ValueAxis();
        valueAxis_Tmp.axisColor     = "#DADADA";
        valueAxis_Tmp.unit          = " C";
        valueAxis_Tmp.dashLength    = 1;
        chart_Tmp.addValueAxis(valueAxis_Tmp);

        // CURSOR
        var chartCursor_Tmp            = new AmCharts.ChartCursor();
        chartCursor_Tmp.cursorPosition = "mouse";
        chart_Tmp.addChartCursor(chartCursor_Tmp);

        // LEGEND
        var legend_Tmp              = new AmCharts.AmLegend();
        legend_Tmp.useGraphSettings = true;
        chart_Tmp.addLegend(legend_Tmp);

        // POSITION
        chart_Tmp.creditsPosition = "bottom-right";

        // GRAPH^M
        var graph_Tmp        = new AmCharts.AmGraph();
        graph_Tmp.id         = 0;
        graph_Tmp.type       = "smoothedLine";
        graph_Tmp.bullet     = "round";
        graph_Tmp.title      = "temperature";
        graph_Tmp.valueField = 0;
        chart_Tmp.addGraph(graph_Tmp);

        // WRITE
        chart_Tmp.write("container_hdc1000_tmp");

        // ---------------------------------------------------------
        // Luxometer
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_Opt               = new AmCharts.AmSerialChart();
        chart_Opt.path          = "../amcharts/";
        chart_Opt.dataProvider  = chartData_Opt;
        chart_Opt.categoryField = "date";
        chart_Opt.colors        = ["#15c005", "#ff0066", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_Opt        = chart_Opt.categoryAxis;
        categoryAxis_Opt.parseDates = true;
        categoryAxis_Opt.minPeriod  = "ss";
        categoryAxis_Opt.axisColor  = "#DADADA";
        // value
        var valueAxis_Opt           = new AmCharts.ValueAxis();
        valueAxis_Opt.axisColor     = "#DADADA";
        valueAxis_Opt.unit          = " lx";
        valueAxis_Opt.dashLength    = 1;
        chart_Opt.addValueAxis(valueAxis_Opt);

        // CURSOR
        var chartCursor_Opt            = new AmCharts.ChartCursor();
        chartCursor_Opt.cursorPosition = "mouse";
        chart_Opt.addChartCursor(chartCursor_Opt);

        // LEGEND
        var legend_Opt              = new AmCharts.AmLegend();
        legend_Opt.useGraphSettings = true;
        chart_Opt.addLegend(legend_Opt);

        // POSITION
        chart_Opt.creditsPosition = "bottom-right";

        // GRAPH^M
        var graph_Opt        = new AmCharts.AmGraph();
        graph_Opt.id         = 0;
        graph_Opt.type       = "smoothedLine";
        graph_Opt.bullet     = "round";
        graph_Opt.title      = "Luxometer";
        graph_Opt.valueField = 0;
        chart_Opt.addGraph(graph_Opt);

        // WRITE
        chart_Opt.write("container_opt3001");

        // ---------------------------------------------------------
        // Inductance CH0
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_Indct_ch0               = new AmCharts.AmSerialChart();
        chart_Indct_ch0.path          = "../amcharts/";
        chart_Indct_ch0.dataProvider  = chartData_Indct_ch0;
        chart_Indct_ch0.categoryField = "date";
        chart_Indct_ch0.colors        = ["#1500ff", "#ff0066", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_Indct_ch0        = chart_Indct_ch0.categoryAxis;
        categoryAxis_Indct_ch0.parseDates = true;
        categoryAxis_Indct_ch0.minPeriod  = "ss";
        categoryAxis_Indct_ch0.axisColor  = "#DADADA";
        // value
        var valueAxis_Indct_ch0           = new AmCharts.ValueAxis();
        valueAxis_Indct_ch0.axisColor     = "#DADADA";
        valueAxis_Indct_ch0.unit          = " uH";
        valueAxis_Indct_ch0.dashLength    = 1;
        chart_Indct_ch0.addValueAxis(valueAxis_Indct_ch0);

        // CURSOR
        var chartCursor_Indct_ch0            = new AmCharts.ChartCursor();
        chartCursor_Indct_ch0.cursorPosition = "mouse";
        chart_Indct_ch0.addChartCursor(chartCursor_Indct_ch0);

        // LEGEND
        var legend_Indct_ch0              = new AmCharts.AmLegend();
        legend_Indct_ch0.useGraphSettings = true;
        chart_Indct_ch0.addLegend(legend_Indct_ch0);

        // POSITION
        chart_Indct_ch0.creditsPosition = "bottom-right";

        // GRAPH^M
        var graph_Indct_ch0        = new AmCharts.AmGraph();
        graph_Indct_ch0.id         = 0;
        graph_Indct_ch0.type       = "smoothedLine";
        graph_Indct_ch0.bullet     = "round";
        graph_Indct_ch0.title      = "inductance-ch0";
        graph_Indct_ch0.valueField = 0;
        chart_Indct_ch0.addGraph(graph_Indct_ch0);

        // WRITE
        chart_Indct_ch0.write("container_ldc1614_ch0");

        // ---------------------------------------------------------
        // Inductance CH1
        // ---------------------------------------------------------

        // SERIAL CHART
        chart_Indct_ch1               = new AmCharts.AmSerialChart();
        chart_Indct_ch1.path          = "../amcharts/";
        chart_Indct_ch1.dataProvider  = chartData_Indct_ch1;
        chart_Indct_ch1.categoryField = "date";
        chart_Indct_ch1.colors        = ["#ff0066", "#1500ff", "#8d4654", "#7798BF", "#aaeeee", "#ff0066", "#eeaaee"];

        // AXES
        // category
        var categoryAxis_Indct_ch1        = chart_Indct_ch1.categoryAxis;
        categoryAxis_Indct_ch1.parseDates = true;
        categoryAxis_Indct_ch1.minPeriod  = "ss";
        categoryAxis_Indct_ch1.axisColor  = "#DADADA";
        // value
        var valueAxis_Indct_ch1           = new AmCharts.ValueAxis();
        valueAxis_Indct_ch1.axisColor     = "#DADADA";
        valueAxis_Indct_ch1.unit          = " uH";
        valueAxis_Indct_ch1.dashLength    = 1;
        chart_Indct_ch1.addValueAxis(valueAxis_Indct_ch1);

        // CURSOR
        var chartCursor_Indct_ch1            = new AmCharts.ChartCursor();
        chartCursor_Indct_ch1.cursorPosition = "mouse";
        chart_Indct_ch1.addChartCursor(chartCursor_Indct_ch1);

        // LEGEND
        var legend_Indct_ch1              = new AmCharts.AmLegend();
        legend_Indct_ch1.useGraphSettings = true;
        chart_Indct_ch1.addLegend(legend_Indct_ch1);

        // POSITION
        chart_Indct_ch1.creditsPosition = "bottom-right";

        // GRAPH^M
        var graph_Indct_ch1        = new AmCharts.AmGraph();
        graph_Indct_ch1.id         = 0;
        graph_Indct_ch1.type       = "smoothedLine";
        graph_Indct_ch1.bullet     = "round";
        graph_Indct_ch1.title      = "inductance-ch1";
        graph_Indct_ch1.valueField = 0;
        chart_Indct_ch1.addGraph(graph_Indct_ch1);

        // WRITE
        chart_Indct_ch1.write("container_ldc1614_ch1");

        //
        // Graph Initialization
        //
        for (i = -29; i <= 0; i++) {
                var initData = {};
                initData.date = (new Date()).getTime() + i * 1000;
                initData.dmy3 = 0;

                // irTemperature - objectTemp
                chart_irObj.dataProvider.push(initData);
                chart_irObj.validateData();

                // Humidity - Humidity
                chart_Hum.dataProvider.push(initData);
                chart_Hum.validateData();

                // Humidity - Temperature
                chart_Tmp.dataProvider.push(initData);
                chart_Tmp.validateData();

                // Luxometer
                chart_Opt.dataProvider.push(initData);
                chart_Opt.validateData();

                // Inductance CH0
                chart_Indct_ch0.dataProvider.push(initData);
                chart_Indct_ch0.validateData();

                // Inductance CH1
                chart_Indct_ch1.dataProvider.push(initData);
                chart_Indct_ch1.validateData();
        }

		var demoPolling = new com.TI.tokenPoller({
			"paramPage": "param_demos.html", 
			"refreshRate": 100,
            // ---------------------------------------------------------
            // Luxometer
            // ---------------------------------------------------------
			"valueMap": [{
				"paramId": "Device_AmbientLight",
				"outputSuccess": function(output) {

					chart_Opt.dataProvider.shift();

					var newData_Opt  = {};
					newData_Opt.date = (new Date()).getTime();
					newData_Opt[0]   = output;
					chart_Opt.dataProvider.push(newData_Opt);
					chart_Opt.validateData();
				},
				"outputDefault": function() {

				}
			},
            // ---------------------------------------------------------
            // Temperature
            // ---------------------------------------------------------
            {
            	"paramId": "Device_extTemperature",
                "outputSuccess": function(output) {

					chart_Tmp.dataProvider.shift();

					var newData_Tmp  = {};
					newData_Tmp.date = (new Date()).getTime();
					newData_Tmp[0]   = output;
					chart_Tmp.dataProvider.push(newData_Tmp);
					chart_Tmp.validateData();
				},
                "outputDefault": function() {

				}
			},
            // ---------------------------------------------------------
            // Humidity
            // ---------------------------------------------------------
			{
				"paramId": "Device_Humidity",
				"outputSuccess": function(output) {

					chart_Hum.dataProvider.shift();

					var newData_Hum  = {};
					newData_Hum.date = (new Date()).getTime();
					newData_Hum[0]   = output;
					chart_Hum.dataProvider.push(newData_Hum);
					chart_Hum.validateData();

				},
				"outputDefault": function() {

				}
            },
            // ---------------------------------------------------------
            // irTemperature - objectTemp
            // ---------------------------------------------------------
            {
				"paramId": "Device_extIrTemperature",
				"outputSuccess": function(output) {

					chart_irObj.dataProvider.shift();

					var newData_irObj  = {};
					newData_irObj.date = (new Date()).getTime();
					newData_irObj[0]   = output;
					chart_irObj.dataProvider.push(newData_irObj);
					chart_irObj.validateData();
				},
				"outputDefault": function() {

				}
			},
            // ---------------------------------------------------------
            // Inductance CH0
            // ---------------------------------------------------------
			{
				"paramId": "Device_InductiveCh0",
				"outputSuccess": function(output) {

					chart_Indct_ch0.dataProvider.shift();

					var newData_Indct_ch0  = {};
					newData_Indct_ch0.date = (new Date()).getTime();
					newData_Indct_ch0[0]   = output;
					chart_Indct_ch0.dataProvider.push(newData_Indct_ch0);
					chart_Indct_ch0.validateData();
				},
				"outputDefault": function() {

                }
            },
            // ---------------------------------------------------------
            // Inductance CH1
            // ---------------------------------------------------------
			{
				"paramId": "Device_InductiveCh1",
				"outputSuccess": function(output) {

					chart_Indct_ch1.dataProvider.shift();

					var newData_Indct_ch1  = {};
					newData_Indct_ch1.date = (new Date()).getTime();
					newData_Indct_ch1[0]   = output;
					chart_Indct_ch1.dataProvider.push(newData_Indct_ch1);
					chart_Indct_ch1.validateData();

				},
				"outputDefault": function() {

				}
			}]
		});
});
